Tests for complicated + argument to :edit command

STARTTEST
:!echo 'foo|bar' > Xfile1
:!echo 'foo/bar' > Xfile2
:edit +1|s/|/PIPE/|w Xfile1| e Xfile2|1 | s/\//SLASH/|w
:w! test.out
:e Xfile1
:w >> test.out
:!rm -f Xfile1 Xfile2
:qa!
ENDTEST

The result should be in Xfile1: "fooPIPEbar", in Xfile2: "fooSLASHbar"
